"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HqHudConsoleOpenEvent = void 0;
const events_1 = require("@skeldjs/events");
/**
 * Emitted when a player opens a communications console on Mira HQ.
 */
class HqHudConsoleOpenEvent extends events_1.RevertableEvent {
    constructor(room, hqhudsystem, message, 
    /**
     * The player that opened the console.
     */
    player, 
    /**
     * The ID of the console that was opened.
     */
    consoleId) {
        super();
        this.room = room;
        this.hqhudsystem = hqhudsystem;
        this.message = message;
        this.player = player;
        this.consoleId = consoleId;
        this.eventName = "hqhud.consoles.open";
        this._alteredConsoleId = consoleId;
        this._atleredPlayer = player;
    }
    /**
     * The alternate console ID that will be opened, if changed.
     */
    get alteredConsoleId() {
        return this._alteredConsoleId;
    }
    /**
     * The alternate player that will open the console, if changed.
     */
    get alteredPlayer() {
        return this._atleredPlayer;
    }
    /**
     * Change the ID of the console that was opened.
     * @param consoleId The ID of the console to open.
     */
    setConsoleId(consoleId) {
        this._alteredConsoleId = consoleId;
    }
    /**
     * Change the player that opened the console.
     * @param player The player to open the console.
     */
    setPlayer(player) {
        this._atleredPlayer = player;
    }
}
exports.HqHudConsoleOpenEvent = HqHudConsoleOpenEvent;
HqHudConsoleOpenEvent.eventName = "hqhud.consoles.open";
//# sourceMappingURL=ConsoleOpen.js.map