import { BasicEvent } from "@skeldjs/events";
import { Hostable } from "../../Hostable";
import { Networkable } from "../../Networkable";
import { RoomEvent } from "../RoomEvent";
import { NetworkableEvent } from "./NetworkableEvent";
/**
 * Emitted when a component is spawned.
 */
export declare class ComponentSpawnEvent<RoomType extends Hostable = Hostable> extends BasicEvent implements RoomEvent, NetworkableEvent {
    readonly room: RoomType;
    readonly component: Networkable<RoomType>;
    static eventName: "component.spawn";
    eventName: "component.spawn";
    constructor(room: RoomType, component: Networkable<RoomType>);
}
