import { BasicEvent } from "@skeldjs/events";
import { Vector2 } from "@skeldjs/util";
import { Hostable } from "../../Hostable";
import { PlayerData } from "../../PlayerData";
import { RoomEvent } from "../RoomEvent";
import { PlayerEvent } from "./PlayerEvent";
/**
 * Emitted when a player moves.
 */
export declare class PlayerMoveEvent<RoomType extends Hostable = Hostable> extends BasicEvent implements RoomEvent, PlayerEvent {
    readonly room: RoomType;
    readonly player: PlayerData<RoomType>;
    /**
     * The new position of the player.
     */
    readonly position: Vector2;
    /**
     * The velocity of the player.
     */
    readonly velocity: Vector2;
    static eventName: "player.move";
    eventName: "player.move";
    constructor(room: RoomType, player: PlayerData<RoomType>, 
    /**
     * The new position of the player.
     */
    position: Vector2, 
    /**
     * The velocity of the player.
     */
    velocity: Vector2);
}
