"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlayerRemoveProtectionEvent = void 0;
const events_1 = require("@skeldjs/events");
/**
 * Emitted when a player's protection by a guardian angel ends, either by running
 * out of time or attempted to be murdered by an impostor.
 *
 * See {@link PlayerProtectEvent} to listen for when a player gets protected
 * initially.
 */
class PlayerRemoveProtectionEvent extends events_1.RevertableEvent {
    constructor(room, player, 
    /**
     * Whether or not the player ran out of protection because of a murder attempt.
     */
    murderAttempt) {
        super();
        this.room = room;
        this.player = player;
        this.murderAttempt = murderAttempt;
        this.eventName = "player.removeprotection";
    }
}
exports.PlayerRemoveProtectionEvent = PlayerRemoveProtectionEvent;
PlayerRemoveProtectionEvent.eventName = "player.removeprotection";
//# sourceMappingURL=RemoveProtection.js.map